Bug 535597 - (RHQ-2276) Allow Raw metric data to be stored for 31 days [NEEDINFO]
Allow Raw metric data to be stored for 31 days
Status: CLOSED DEFERRED
Product: RHQ Project
Classification: Other
Component: Monitoring (Show other bugs)
unspecified
All All
high Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
http://jira.rhq-project.org/browse/RH...
: FutureFeature, Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-29 10:27 EDT by Shashin Shinde
Modified: 2014-05-09 11:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Production / Stage
Last Closed: 2014-05-09 11:16:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
cwelton: needinfo? (ccrouch)


Attachments (Terms of Use)

  None (edit)
Description Shashin Shinde 2009-07-29 10:27:00 EDT
Current implementation of RHQ / JOPR compresses and purges metric collection data after 7 days.
This should be either configurable or should be extended to 31 days.
Comment 1 Red Hat Bugzilla 2009-11-10 16:01:18 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-2276
Comment 2 wes hayutin 2010-02-16 12:10:14 EST
mass add of key word FutureFeature to help track
Comment 3 wes hayutin 2010-02-16 16:10:13 EST
Mass move to component = Monitoring
Comment 5 Jay Shaughnessy 2014-05-09 11:16:25 EDT
This is still not a configurable thing in the new Cassandra-based storage node, so I think it's unlikely to get done.

But:

The new rhq-metrics project, which is the standalone metrics storage component project, will likely address this, at which time RHQ re-incorporates that project this may likely be configurable.  Closing as deferred to that future happening.

Note You need to log in before you can comment on or make changes to this bug.